=== debian/changelog ===
procmail (3.22-8) unstable; urgency=low

  * Fixed strange formail -l behaviour when there is a Content-Length: header.
    Thanks a lot to Henning Makholm for the patch (Closes: #217853).

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Nov 2003 20:01:24 +0100

procmail (3.22-7) unstable; urgency=low

  * Fixed bad nroff syntax in procmailrc(5), closes: #147173.
  * Added missing newline in procmail(1), closes: #180477.

 -- Santiago Vila <sanvila@debian.org>  Mon, 10 Mar 2003 00:09:20 +0100

procmail (3.22-6) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:27:08 +0100

procmail (3.22-5) stable; urgency=medium

  * Patched pipes.c to fix a memory allocation bug (Closes: #171514).

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:09:38 +0100

procmail (3.22-4) unstable; urgency=low

  * Fixed a typo in procmail(1). Patch by the author (Closes: #142983).

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Apr 2002 19:16:20 +0200

procmail (3.22-3) unstable; urgency=medium

  * Fixed off-by-one bug in procmail.c which made the raw flag not to be
    cleared properly. Thanks to Gregory Stark (Closes: #134341).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2002 16:43:02 +0100

procmail (3.22-2) unstable; urgency=medium

  * Modified mailfold.c to fix a segfault problem. Patch by the author.
  * The system-wide mail directory is /var/mail as per policy.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 Nov 2001 09:39:04 +0100

procmail (3.22-1) unstable; urgency=low

  * New upstream release, which uses the `standard' format for Maildir
    filenames and retries on name collision. It also contains some
    bug fixes from the 3.23pre snapshot dated 2001-09-13.
  * Removed `sendmail' from the Recommends field, since we already
    have `exim' (the default Debian MTA) and `mail-transport-agent'.
  * Removed suidmanager support. Conflicts: suidmanager (<< 0.50).
  * Added support for DEB_BUILD_OPTIONS in the source package.
  * README.Maildir: Do not use locking on the example recipe,
    since it's wrong to do so in this case.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 09:40:20 +0100

procmail (3.15.2-1) stable; urgency=high

  * New upstream release, with improved security and robustness involving
    signal handlers. Author recommends upgrading to this version on
    any system where it is installed setuid or setgid.
  * This release fixes also Bug #108417: procmail -p -m resets PATH.

 -- Santiago Vila <sanvila@debian.org>  Thu, 30 Aug 2001 20:05:06 +0200

procmail (3.15.1-4) unstable; urgency=low

  * Don't add an extra newline when delivering to a Maildir folder.
    Please note that the MTA may still add a newline on their own.
    Exim users should check the `suffix' variable, for example.
    Patch by the author. Closes: #78623.

 -- Santiago Vila <sanvila@debian.org>  Sat, 14 Apr 2001 17:18:29 +0200

procmail (3.15.1-3) unstable; urgency=low

  * Clarified formail -X behaviour, patch by the author (Closes: #77388).
  * Updated QuickStart.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Mar 2001 10:45:56 +0200

procmail (3.15.1-2) unstable; urgency=low

  * Fixed lockfile -l endless loop (Closes: #82006). Patch by the author.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Jan 2001 19:44:49 +0100

procmail (3.15.1-1) unstable; urgency=low

  * New upstream release. A race to create the mailspool would bounce one of
    the messages due to an internal error.

 -- Santiago Vila <sanvila@debian.org>  Mon,  8 Jan 2001 20:09:34 +0100

procmail (3.15-3) unstable; urgency=low

  * Fixed formatting error in procmailrc(5). Patch by the author.
    (Closes: #80437).

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Dec 2000 17:20:47 +0100

procmail (3.15-2) unstable; urgency=low

  * formail -l is now documented. Patch by the author (Closes: #72275).

 -- Santiago Vila <sanvila@debian.org>  Fri,  1 Dec 2000 19:54:22 +0100

procmail (3.15-1) unstable; urgency=low

  * New upstream release. Maildir support is now built-in.
  * Really change default PATH to "$HOME/bin:/usr/local/bin:/usr/bin:/bin".
  * Modified the note in QuickStart about refiltering an old mail folder.
  * Use SEARCHLIBS="" in debian/rules clean target to speed it up.
  * Modified ft_dotlock in src/foldinfo.h to be in compliance with
    locking policy, following a hint by the author.
  * Removed (versioned) dependency on debianutils, since mailstat
    does not use temporary files anymore.
  * Made the .forward example in procmail(1) not to depend on the build
    environment by modifying src/autoconf so that buggy_SENDMAIL is
    never defined.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 Aug 2000 12:51:05 +0200

procmail (3.13.1-4) stable; urgency=high

  * Fixed weird formail -rk behavior (patch from the author, backported
    from procmail-3.15). Thanks to Ben Collins for the report.
  * s/smail/exim/ in `Recommends:' field.

 -- Santiago Vila <sanvila@debian.org>  Tue, 22 Aug 2000 13:04:50 +0200

procmail (3.13.1-3) unstable; urgency=medium

  * Standards-Version: 3.1.1
  * Updated location of licenses in copyright file.
  * LOCKINGTEST=100 again, to use fcntl() and dot-locking, as required by
    latest policy.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  1 Dec 1999 12:37:35 +0100

procmail (3.13.1-2) unstable; urgency=low

  * Modified procmail(1) and QuickStart to reflect the fact that exim does
    not accept the exec keyword in .forward files (Bugs #33460 and #37771).
  * Modified formail to recognize exim's Envelope-To: header (Bug#40718).
    Patch by Philip Guenther.
  * Standards-Version: 3.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Mon, 19 Jul 1999 20:09:25 +0200

procmail (3.13.1-1) stable unstable; urgency=high

  * New upstream release, 3.13 missed a couple possible overflows.
  * Applied `procmail-locking.patch' from Bruce Guenter, since
    no directory delivery mechanism requires locking (Bug #35210).


